namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "flying_press")]
public class FlyingPress : Script, IScriptChangeTypesForMove
{
    /// <inheritdoc />
    public void ChangeTypesForMove(IExecutingMove executingMove, IPokemon target, byte hitIndex,
        IList<TypeIdentifier> types)
    {
        var typeLibrary = executingMove.User.Library.StaticLibrary.Types;
        if (!typeLibrary.TryGetTypeIdentifier("flying", out var flyingType))
            return;
        types.Add(flyingType);
    }
}